package com.brilliance.isc.bo;

import lombok.Data;

@Data
public class Bch {
        // 相对于旧表，删除的字段有
        // etyexkey 、upbchkey、accbch、bchlst、bchgrp

        // 唯一ID，主键
        private String inr;

        // 机构编码（核心机构号）
        private String branch;

        // 经办机构编码
        private String bchkey;

        // 机构名称
        private String bchname;

        // 机构层次  0-总行;1-分行;2-支行;A-一级全辖;B-二级全辖
        private String lev;

        // 当前机构路径
        private String upbranch;

        // 机构类型 0-总行;1-经办;2-非经办;6-收单
        private String bchtyp;

        // 机构参考号标志
        private String bchflg;

        // 金融机构编码
        private String decnum;

        // 电话
        private String tel;

        // 传真
        private String fax;

        // 地址第一行
        private String adr;

        // BIC代码
        private String swfcod;

        // 地址第二行
        private String adr2;

        // 版本号
        private String ver;

        // 英文名称
        private String namen;

        // 英文地址第一行
        private String adren;

        // 英文地址第二行
        private String adren2;

        // 外汇管理局印单局代码
        private String ydjcod;

        // Trade Connect代码
        private String tid;

        // 业务参考号中使用的机构编码
        private String bchref;

        // 核心虚拟柜员
        private String bchusr;

        // 机构停用标志
        private String sta;

        // 联行行号
        private String lhanum;

        // 联行名称
        private String lhanam;

        // 自贸区标识
        private String zmqflg;

        // 核心柜员2
        private String bchusr2;

        // 电证联行行号
        private String dzlhhh;

        // 电证联行名称
        private String dzlhmc;

        // 机构负责人
        private String bchfzr;

}