package com.brilliance.isc.bo;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Cpt extends AbstractCommonVo {

    //INR of CP Contract
    private String inr = NULLSTR;

    //List of Modified Fields in CPDGRP
    private String fldmodblk = NULLSTR;

    //Historic Overview of Narratives
    private String narhis = NULLSTR;

    //Content of TAG 72
    private String contag72 = NULLSTR;

    //Content of TAG 79
    private String contag79 = NULLSTR;

    //Content of TAG 70
    private String contag70 = NULLSTR;

    //高风险国家信息
    private String rskinf = NULLSTR;
}
