package com.brilliance.isc.bo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:dnf:定期
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class Dnf{

        
        public String getTableName(){
            return "dnf";
        }

        //Internal Unique ID of DNF Balance
        
        private String inr = NULLSTR;

        //trn inr
        
        private String trninr = NULLSTR;

        //帐号
        
        private String zhangh = NULLSTR;

        //人民币客户 帐 户类型
        
        private String rmzhlx = NULLSTR;

        //支 取 类 型
        
        private String zhqtyp = NULLSTR;

        //交易币种
        
        private String zhqubz = NULLSTR;

        //提支金额
        
        private  BigDecimal tizhje  = Decimals.ZERO_SCALE2;

        //帐户余额
        
        private  BigDecimal zhhuye  = Decimals.ZERO_SCALE2;

        //利息金额
        
        private  BigDecimal lixije  = Decimals.ZERO_SCALE2;

        //起存金额
        
        private  BigDecimal qicuje  = Decimals.ZERO_SCALE2;

        //销 帐 序号
        
        private String xiozxh = NULLSTR;

        //利息销 帐 序号
        
        private String lxiozh = NULLSTR;

        //本金转入 帐 户
        
        private String bjzyzh = NULLSTR;

        //利息转入 帐 户
        
        private String lxzyzh = NULLSTR;

        //解冻日期
        
        private String jdngrq = NULLSTR;

        //冻结编号
        
        private String dngjbh = NULLSTR;

        //业务代号
        
        private String yewudh = NULLSTR;

        //创立日期
        
        private String credat = NULLSTR;

}