package com.brilliance.isc.bo;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * TABLE:gimofc:
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Gimofc {
    //ID
    private String inr = NULLSTR;

    //biccod
    private String biccod = NULLSTR;

    //the type of message
    private String msgtyp = NULLSTR;

    //ctlcod
    private String ctlcod = NULLSTR;

    //beginning time
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date begdat = NULLDATE;

    //end time
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date enddat = NULLDATE;

    //user
    private String usr = NULLSTR;
}
