package com.brilliance.isc.bo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
 * TABLE:ptyrat:
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Ptyrat  {

    //Internal Unique ID
    private String inr = NULLSTR;

    //INR of Associated Party
    private String ptyinr = NULLSTR;

    //Currency
    private String cur = NULLSTR;

    //Customer Specific Buying Rate Type
    private String buytyp = NULLSTR;

    //Buy rate discount
    private BigDecimal buyrat = Decimals.ZERO_SCALE2;

    //Customer Specific Selling Rate Type
    private String seltyp = NULLSTR;

    //Sell rate discount
    private BigDecimal selrat = Decimals.ZERO_SCALE2;

    private Date valdat;

}