package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

/**
 * 客户标签信息表
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Ptyrsk {

    /**
     * 客户表inr
     */
    private String ptyinr;

    /**
     * 客户号
     */
    private String custno;

    /**
     * 外汇展业客户分类
     */
    private String custforeigncrosstype;

    /**
     * 外汇展业风险等级(模型)
     */
    private String risklevelessp;

    /**
     * 外汇展业风险等级(CRM)
     */
    private String risklevelcrm;

    /**
     * 状态
     */
    private String custstatus;

    /**
     * 认定日期
     */
    private String approvetime;

    /**
     * 业务需求标签
     */
    private String busrequirelabel;

    /**
     * 分行自定义标签
     */
    private String customlabel;

    /**
     * 备用字段1
     */
    private String attribute1;

    /**
     * 备用字段2
     */
    private String attribute2;

    /**
     * 备用字段3
     */
    private String attribute3;

    /**
     * 备用字段4
     */
    private String attribute4;

    /**
     * 备用字段5
     */
    private String attribute5;

}
