package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:umd:
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Umd {

    
       
        private String inr = NULLSTR;

        //业务编号
    
        private String ownref = NULLSTR;

        //交易码
    
        private String inifrm = NULLSTR;

        //业务流�'号
     
        private  String transid  = NULLSTR;

        //发起时�'
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
     
        private Date credat = NULLDATE;

        //客户号
     
        private String extkey = NULLSTR;

        //机构号
     
        private String branch = NULLSTR;

        //MAC
       
        private String mac = NULLSTR;

        //请求报文
      
        private  String request  = NULLSTR;

        //应答报文
       
        private  String response  = NULLSTR;

        //STA
       
        private String sta = NULLSTR;

        //案例编号
       
        private String caseno = NULLSTR;

        //案例状态
       
        private String casecode = NULLSTR;

        //操作员
       
        private String usr = NULLSTR;

        //报文文件名称
     
        private String docfil = NULLSTR;

        //报文路径
       
        private String docpth = NULLSTR;

        //筛查状态
       
        private String code = NULLSTR;

        //Version Counter
      
        private String ver = NULLSTR;

        //最后一次操作时�'
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
      
        private Date lstdat = NULLDATE;

        //TRNINR
       
        private String trninr = NULLSTR;

        //ORDINR
       
        private String ordinr = NULLSTR;

        //OBJTYP
       
        private String objtyp = NULLSTR;

        //OBJINR
      
        private String objinr = NULLSTR;

        //SPTINR
       
        private String sptinr = NULLSTR;

        //核心机构号
       
        private String orgcode = NULLSTR;


        /**
         * 筛查要素的md5 ,用来判断是否要重新筛查还是认定
         */
        private String paramKey = NULLSTR;






























}