package com.brilliance.isc.bo.model;

import com.brilliance.mda.runtime.mda.IStream;
import com.brilliance.mda.runtime.mda.impl.StreamImpl;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
* CHKFLD
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class Chkfld extends AbstractCommonVo {
		private static Logger log = LoggerFactory.getLogger(Chkfld.class);

        //flag check- and settable in Checkrules
        private  String flg = NULLSTR;
        //old values of current DETTAB element
        
        private  IStream oldin = new StreamImpl();
        //new values of current DETTAB element
        
        private  IStream newin = new StreamImpl();
        //old result of DETTAB element
        
        private  IStream oldout = new StreamImpl();

}