package com.brilliance.isc.common.invchk.vo;

import com.brilliance.isc.bo.Bch;
import com.brilliance.isc.common.vo.CommonResult;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class InvselQueryVo{

    //平台外业务类型
    private String bustyp ;

    //批注方编号
    private String antnum ;

    //发票代码
    private String invcod ;

    //发票号码
    private String invnum ;

    //起始操作日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date prebnkdat;

    //结束操作日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date prebnkdat2;

    //开票日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date opndat;

    //操作柜员
    private String optusr ;

    //操作机构
    private String optbranch ;

    /**
     * 每页大小
     */
    private Integer pageSize;
    /**
     * 当前页数
     */
    private Integer pageNum;

    /**
     * 机构编号
     */
    private String bchinr;
    /**
     * 机构编码
     */
    private String branch;

    /**
     * 机构集合
     */
    private List<Bch> bchLst;

    //smh关联主键
    private String smhinr;

}
