package com.brilliance.isc.common.rmbbop.vo;

import com.brilliance.isc.common.rmbbop.model.Tdmgrp;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties
public class TdmManageVo extends AbstractCommonVo implements Serializable {
    //Internal Unique ID
    private String inr = NULLSTR;

    /**
     * Initial Entity Code
     */
    private String ownextkey = NULLSTR;

    /**
     * 业务发生日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date reldat = NULLDATE;

    private Tdmgrp tdmgrp;

    /**
     * 交易类型：修改/删除
     */
    private String transfer;
}
