package com.brilliance.isc.vo.finance;

import com.brilliance.isc.common.json.BigDecimalSerialize;
import com.brilliance.isc.common.vo.CommonResult;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class WgbLogResultVo extends CommonResult {

    String fsainr;

    String ownref;

    String bnkaplsta;

    String aplret;

    String blcsta;

    String sta;

    String hndtyp;

    String hndusr;

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    Date updtim;

    String hinmsg;
}
