package com.brilliance.isc.vo.lg;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

/**
 * @BelongsProject: isc-common
 * @BelongsPackage: com.brilliance.isc.vo.lg
 * @Author: glb
 * @CreateTime: 2023-09-26 10:10
 * @Description: TODO
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class InfswfYunAndELbVo {
    // 主键
    private String inr;
    // 保函业务编号
    private String ownref;
    // 来报业务编号
    private String billid;
    // 报文发出时间
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date outdat;
    // 报文状态
    private String sta;
    // 报文类型
    private String cortyp;
    // 消息类型
    private String msgtyp;
    //smhinr
    private String smhinr;
}
