package com.brilliance.isc.vo.manager;

import lombok.Data;

import java.util.Map;

@Data
public class GtxUseVo {
    // 主键
    private String inr;

    // 关联的保函模板表,一般为GTX,ATX
    private String objtyp;

    // 关联的保函模板表主键,一般为GTX.INR, ATX.INR
    private String objinr;

    // 关联的保函模板表编号,一般为GTX.EXTKEY, ATX.EXTKEY
    private String objextkey;

    // 关联的GTX_ARGS.INR,GTX_ARGS.COD map集合
    private Map<String,String> gtxargmap;

    // 文本模板内容
    private String gidtxt;

    // 交易类型
    private String trntyp;

}
