package com.brilliance.isc.vo.model;

import com.brilliance.isc.bo.model.Ptyhp;
import com.brilliance.isc.bo.model.Yptgimod;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.model.usr.Usr;
import com.brilliance.isc.vo.lg.YthmodVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.List;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Gitp extends AbstractCommonVo {

    private Aacp aacp;

    private String apcsupflg;

    private String aplnamtxt;

    private String aplsupflg;

    private String bantyp;

    //Modify Guarantee Text
    private String gidtxtmodflg2 = NULLSTR;

    //guarantee text
    private String gidtxt;

    private Txbbut chargi;

    private Txbbut chargic;

    private String chkgidtxt;

    private String chkgidtxtc;

    private String chkpreper;

    private String chkpreperc;

    private Txbbut covgod;

    private Txbbut covgodc;

    private String covgodsrvcmodflg;

    private String covgodsrvmodflg;

    private String drpreflg;

    private String drpreflglab;

    private String drpreflglab1;

    private String dzbhflg;

    private String exptxtmodflg;

    private String gidtxtmodflg;

    private String gidtxtmodflgc;

    private String inc760;

    private String inccormsgflg;

    private String labaddinf;

    private String labaddinfc;

    private String labapl;

    private String labaplref;

    private String labctr;

    private String labctrref;

    private String labissbak;

    private String labissref;

    private String laborcdat;

    private String letterlabel;

    private String lettername;

    private String liatxtcmodflg;

    private String morapllab;

    private String oppbnkl;

    private String prepercmodflg;

    private String prepermodflg;

    private String swiftflg;

    private Usr usr;

    //连接海关系统标识
    private String systyp = NULLSTR;

    //关税保函专用
    private String ghdflg = NULLSTR;

    //Allow *
    private String chkliatxtc = NULLSTR;

    //Allow *
    private String chkexptxt = NULLSTR;

    private YthmodVo ythmod;

    private Ptsaddp ptsaddp;

    private Aammod aamp;

    private String gidtxtmh;

    private String ctrflg;

    private List<Ptyhp> ptyhp;

    //临时业务编号
    private String tempOwnref = NULLSTR;

    private Yptgimod yptgimod;

    private  String xyflg = NULLSTR;

    private String yptxy = NULLSTR;

    @Override
    public void reset() {
        super.reset();
        if (yptgimod == null){
            yptgimod = new Yptgimod();
        }
        yptgimod.reset();
    }
}
