package com.brilliance.isc.esb.api.newhx;

import com.brilliance.isc.esb.newmodel.PeripheralRequest;
import com.brilliance.isc.esb.newmodel.PeripheralResponse;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * 新核心feign接口
 *
 * @restApi
 */
//@RequestMapping("/ncbs-prot-productmgt")
public interface NewHxClient {
    /**
     * 查询可售产品信息
     *
     * @param peripheralRequest
     * @return
     */
    @PostMapping("/pm4530")
    PeripheralResponse callpm4530(PeripheralRequest peripheralRequest);

}
