package com.brilliance.isc.esb.api.ocr;

import com.brilliance.isc.esb.model.ocr.ReqTextDiff;
import com.brilliance.isc.esb.model.ocr.ResOcrResult;
import com.brilliance.isc.esb.model.ocr.ResTextDiff;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * OCR 智能感知平台OCR请求方
 *
 * @restApi
 */
//@RequestMapping("/characterRecognition")
public interface OcrClient {
    /**
     * xmind-creat-task-ai-service 文本比对接口
     *
     * @param req
     * @return
     */
    @PostMapping("/xmind-create-task-ai-service")
    ResTextDiff callTextDiff(@RequestBody ReqTextDiff req);

    @PostMapping("/xmind-query-asynctask-ai/api/v1/xmind/asyncTask/{taskId}")
    ResOcrResult callOcrResult(@PathVariable("taskId") String taskId, @RequestParam("app") String app, @RequestParam("pageFrom") int pageFrom);

}
