package com.brilliance.isc.esb.model.hx;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;

@AllArgsConstructor
@NoArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class Req1640 {

    /**
     * 处理标志
     */
    public String CHLIBZ;

    /**
     * 业务编号
     */
    public String YEWUBH;

    /**
     * 买卖品种
     */
    public String MAIMPZ;

    /**
     * 平仓方向
     */
    public String PNGCFX;

    /**
     * 起始日期
     */
    public String QISHRQ;

    /**
     * 起息日
     */
    public String QIXIRI;

    /**
     * 保证方式
     */
    public String BAOZFS;

    /**
     * 货币代号
     */
    public String HUOBDH;

    /**
     * 对方货币代号
     */
    public String DFHBDH;

    /**
     * 客户中文名
     */
    public String KEHZWM;

    /**
     * 交易参考价
     */
    public String JIOYJC;

    /**
     * 系统内平盘参考价
     */
    public String PNGPJC;

    /**
     * 系统外平盘参考价
     */
    public String WPNGPC;

    /**
     * 客户选择
     */
    public String KHWTXZ;

    /**
     * 委托汇率
     */
    public String WEITHL;

    /**
     * 指定汇率
     */
    public String ZDNGLL;

    /**
     * 即期买入汇率
     */
    public String JQMRHL;

    /**
     * 即期卖出汇率
     */
    public String JQMCHL;

    /**
     * 成交汇率
     */
    public String CJIOHL;

    /**
     * 买入金额
     */
    public String MAIRJE;

    /**
     * 帐号
     */
    public String ZHA1ZH;

    /**
     * 卖出金额
     */
    public String MAICJE;

    /**
     * 帐号
     */
    public String ZHANGH;

    /**
     * 保证金帐号
     */
    public String BZHJZH;

    /**
     * 序号
     */
    public String DXUHAO;

    /**
     * 币种组合
     */
    public String BIZHZH;

    /**
     * 是否标志
     */
    public String SHFOBZ;

    /**
     * 入帐机构
     */
    public String RUZHJG;

    /**
     * 外管统计选项
     */
    public String WAIGTJ;

    /**
     * 本转标识
     */
    public String BENZBZ;

    /**
     * 电话号码
     */
    public String DIANHH;

    /**
     * 业务类型
     */
    public String YEWULX;

    /**
     * 注册资金货币代号
     */
    public String ZCHBDH;

    /**
     * 是否控制标志
     */
    public String SFKZBZ;

    /**
     * 客户号
     */
    public String KEHHAO;

    /**
     * 备用标志1
     */
    public String BYBZ01;

    /**
     * 信息
     */
    public String XINX01;


}
