package com.brilliance.isc.esb.model.hx;

import java.util.ArrayList;
import java.util.List;

public class ResO84863 {

    public List<ItemF84862> F84862 = new ArrayList<>();

    public static class ItemF84862{

        /**
         * 报文序列号 [0,20]
         */
        public String MSGSNO;

        /**
         * 报文类型 [0,10]
         */
        public String BWLXDH;

        /**
         * 参与标志 [0,1]
         */
        public String CANYBZ;

        /**
         * 入帐日期 [0,8]
         */
        public String RUZHRQ;

        /**
         * 交换场次 [0,1]
         */
        public String JIOHCC;

        /**
         * 变码印鉴 [0,12]
         */
        public String BMYNJN;

        /**
         * 查询行号 [0,12]
         */
        public String CHAXHH;

        /**
         * 信息 [0,60]
         */
        public String XINX01;

        /**
         * 报文发送日期 [0,8]
         */
        public String MSGSDT;

        /**
         * 发起参与机构 [0,14]
         */
        public String FQCYJG;

        /**
         * 发起直接参与机构 [0,14]
         */
        public String FQZJJG;

        /**
         * 接收参与机构 [0,14]
         */
        public String JSCYJG;

        /**
         * 接收直接参与机构 [0,14]
         */
        public String JSZJJG;

        /**
         * 来帐借记笔数 [0,10]
         */
        public String IDRQNT;

        /**
         * 交易金额1 [19,2]
         */
        public String ZFJEE1;

        /**
         * 报文标识号 [0,35]
         */
        public String BAWBSH;

    }

    public ResO84863() {
    }

    public ResO84863(List<ItemF84862> f84862) {
        F84862 = f84862;
    }
}
