package com.brilliance.isc.esb.model.hx;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class SellProdBaseInfoStruct {
    /**
     * 可售产品编号
     */
    public String avaForSaleProdNo;
    /**
     * 可售产品版本
     */
    public String avaForSaleProdVers;
    /**
     * 可售产品名称
     */
    public String avaForSaleProdName;
    /**
     * 可售产品目的
     */
    public String avaForSaleProdPurp;
    /**
     *可售产品定义
     */
    public String avaForSaleProdDefi;
    /**
     * 可售产品范围
     */
    public String avaForSaleProdScope;
    /**
     * 产品线编号
     */
    public String prodLineNo;
    /**
     * 产品组编号
     */
    public String prodGrpNo;
    /**
     * 基础产品编号
     */
    public String baseProdNo;
    /**
     * 产品结构类型
     */
    public String prodStruType;
    /**
     * 可售产品标记
     */
    public String Sell_Prod_Mark;
    /**
     * 产品上架日期
     */
    public String prodOnSheDt;
    /**
     * 产品上架时间
     */
    public String prodOnSheTm;
    /**
     * 产品下架日期
     */
    public String prodOffShelDt;
    /**
     * 产品下架时间
     */
    public String prodOffSheTm;
    /**
     * 可售产品状态
     */
    public String avaForSaleProdStat;
    /**
     * 备注信息
     */
    public String notesInfo;

}
