package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.LinkedList;
import java.util.List;

/**
 * 8010  核心系统提供的往账查询请求
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerRes8010 {

    /**
     * 提示信息
     */
    public String tishxi;

    public List<Item8010> lst8010 = new LinkedList<>();

    @JsonInclude(JsonInclude.Include.NON_NULL)
    public static class Item8010 {

        /**
         * 业务编号
         */
        public String yewubh;

        /**
         * 往帐状态
         */
        public String jupzhh;

        /**
         * 清算状态
         */
        public String ygngbh;

        /**
         * 支付交易号
         */
        public String pzhtjh;

        /**
         * 大小额标志
         */
        public String daxibz;

        /**
         * 业务种类
         */
        public String yewuzl;

        /**
         * 重要等级
         */
        public String zhyodj;

        /**
         * 报文类型
         */
        public String bawelx;

        /**
         * 付款人帐号
         */
        public String zhangh;

        /**
         * 付款人户名
         */
        public String kehzwm;

        /**
         * 货币代号
         */
        public String huobdh;

        /**
         * 交易金额
         */
        public String jio1je;

        /**
         * 赔偿金金额
         */
        public String maicje;

        /**
         * 拒付金额
         */
        public String fnxije;

        /**
         * 凭证号
         */
        public String pngzhh;

        /**
         * 拆借期限
         */
        public String feiycd;

        /**
         * 拆借利率
         */
        public String danwyb;

        /**
         * 收款人帐号
         */
        public String shkrzh;

        /**
         * 收款人姓名
         */
        public String shkrxm;

        /**
         * 收款人地址
         */
        public String zzzcdz;

        /**
         * 收款行号
         */
        public String zjcyhh;

        /**
         * 收款行名
         */
        public String kaihhm;

        /**
         * 接收行行号
         */
        public String sbhhao;

        /**
         * 对方机构名称
         */
        public String dfjgmc;

        /**
         * 备注信息
         */
        public String beizxx;

        /**
         * 交易柜员
         */
        public String jio1gy;

        /**
         * 复核柜员
         */
        public String fuhegy;

        /**
         * 复核柜员流水号
         */
        public String fhgyls;

        /**
         * 录入流水号
         */
        public String yngyls;

        /**
         * 对帐标志
         */
        public String jgwjmy;

        /**
         * 退回标志
         */
        public String khjlmc;

    }

    public InnerRes8010() {
    }

    public InnerRes8010(String tishxi, List<Item8010> lst8010) {
        this.tishxi = tishxi;
        this.lst8010 = lst8010;
    }
}
