package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * RW02  预警灰名单响应
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerResRW02 {
    public InnerResRW02() {
    }

    public InnerResRW02(String csname, String certid, String rmatch, String ltname, String atdate, String policy, String probcs, String remark) {
        this.csname = csname;
        this.certid = certid;
        this.rmatch = rmatch;
        this.ltname = ltname;
        this.atdate = atdate;
        this.policy = policy;
        this.probcs = probcs;
        this.remark = remark;
    }

    /**
     * 客户名称
     */
    public String csname;

    /**
     * 组织机构代码
     */
    public String certid;

    /**
     * 匹配结果
     */
    public String rmatch;

    /**
     * 名单名称
     */
    public String ltname;

    /**
     * 名单调入时间
     */
    public String atdate;

    /**
     * 政策例外调入时间
     */
    public String policy;

    /**
     * 问题客户调入时间
     */
    public String probcs;

    /**
     * 备用字段信息
     */
    public String remark;
}
