package com.brilliance.isc.esb.model.ocr;

import java.util.ArrayList;
import java.util.List;

/**
 * 文本比对接口请求模型
 */
public class ReqTextDiff {
    /**
     * 文档抽取：textract
     * 文档比对：textdiff
     */
    public String app;
    /**
     * 文档抽取名称， 在AIS上面启的服务名称，如online-pred-compare-ai
     */
    public String serviceName;
    /**
     * 待处理的文档在存储上的绝对路径
     * 类型为yw_ift传文件名称
     * 文档比对要求文档数等于2篇
     * 影像平台可不传
     */
    public List<String> ossFilePaths = new ArrayList<>();
    /**
     * 文档抽取必传，
     * ”{
     * “keys”:[“甲方”,”乙方”]
     * }”
     * 范本比对：
     * {“template_id”: “xxx”}
     */
    public String param;
    /**
     * 扩展参数
     */
    public TextDiffExtra extra;

    public ReqTextDiff() {
    }

    public ReqTextDiff(String app, String serviceName, List<String> ossFilePaths, String param, TextDiffExtra extra) {
        this.app = app;
        this.serviceName = serviceName;
        this.ossFilePaths = ossFilePaths;
        this.param = param;
        this.extra = extra;
    }
}
