package com.brilliance.isc.esb.model.whj;

/**
 * WHJ1 光大接入外汇局跨境金融平台请求模型
 */
public class ReqWHJ1 {
    public ReqWHJ1() {
    }

    public ReqWHJ1(String REQID, String SNDTRAFLG, String SNDCONTENT, String SNDPAT, String RMK001, String RMK002) {
        this.REQID = REQID;
        this.SNDTRAFLG = SNDTRAFLG;
        this.SNDCONTENT = SNDCONTENT;
        this.SNDPAT = SNDPAT;
        this.RMK001 = RMK001;
        this.RMK002 = RMK002;
    }

    /**
     * 业务唯一编号
     */
    public String REQID;
    /**
     * 传输标志
     * 0：‘报文内容’不大于60k时将跨境金融服务平台直连对接的json报文填充到sop域‘报文内容’中
     * 1：‘报文内容’大于60k时将跨境金融服务平台直连对接的json报文落地成文件，将文件路径填充到‘回执文件路径’
     */
    public String SNDTRAFLG;
    /**
     * 报文内容
     * 传输标志位0，该字段必输；
     * 传输标志位1，该字段为空。
     */
    public String SNDCONTENT;
    /**
     * 请求文件路径
     * 传输标志位0，该字段为空；
     * 传输标志位1，该字段必输。
     */
    public String SNDPAT;
    /**
     * 备用字段1
     */
    public String RMK001;
    /**
     * 备用字段2
     */
    public String RMK002;


}
