package com.brilliance.isc.esb.model.whj.content.sinosure;

import com.brilliance.isc.esb.model.whj.content.UnCryptContent;
import lombok.Data;

import java.util.List;

/**
 * /v1/asset/bank-apply-supplement 银行代企业录入信保融资申请补登记接口
 *
 * */

@Data
public class BankApplySupplementContent extends UnCryptContent {

    public Long amount;

    public Long applyAmount;

    public String applyEntCode;

    public String policyNo;

    public String agreementNo;

    public String noticeId;

    public String overseasPayEndDate;

    public String currency;

    public List<SupInvoice> invoices;
}
