package com.brilliance.isc.esb.newmodel.tasks;


import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * 任务表
 */
@AllArgsConstructor
@NoArgsConstructor
@Setter
@Getter
public class Task {
    /**
     *主键
     */
    private String inr;
    /**
     * 关联表名
     */
    private String objtyp;
    /**
     * 关联表主键
     */
    private String objinr;
    /**
     * 任务类型
     */
    private String tasktyp;
    /**
     * 任务执行器id
     */
    private String extorinr;
    /**
     * 任务状态  W 待执行，R执行中，E异常 S成功
     */
    private String sta;
    /**
     * 任务开始时间
     */
    private String begintim;
    /**
     * 任务结束时间
     */
    private String endtim;
    /**
     * 当日执行次数
     */
    private String cnt;
    /**
     * 执行器子任务参数模型 json格式
     */
    private String paramodel;
    /**
     * 任务创建时间
     */
    private String cretime;
    /**
     * 任务日志信息
     */
    private  String taskinfo;

    /**
     * 备用字段
     */
    private String rmk1;
    /**
     * 备用字段
     */
    private String rmk2;
    /**
     * 备用字段
     */
    private String rmk3;

}
