package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:tro:TRO - Transaction Dependencies
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Tro {

        //Internal Unique ID of Transaction Dependency
        private String inr = NULLSTR;

        //INR of Contract Changing Transaction
        private String trninr = NULLSTR;

        //INR of a Previous Transaction the Current Transaction is Depending on
        private String prvinr = NULLSTR;

        //Object Type of Contract
        private String objtyp = NULLSTR;

        //Object INR = Contract INR
        private String objinr = NULLSTR;

        //Flag to Mark Last TRO for Contract
        private String lstflg = NULLSTR;
}