package com.brilliance.isc.bo;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:txm:TXM - Text Module
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Txm {

        //Internal Unique ID of Text Module
        private String inr = NULLSTR;

        //External Key Used to Identify a Text Module Grp8.Key8
        private String extkey = NULLSTR;

        //Externally Displayed Name to Identify the Text Module
        private String nam = NULLSTR;

        //Contents of Text Module
        private String txt = NULLSTR;

        //Language Code [UILCOD, UILTXT]
        private String uil = NULLSTR;

        //Version Counter
        private String ver = NULLSTR;

        //Entity Group of Text Module
        private String etgextkey = NULLSTR;
}