package com.brilliance.isc.bo.lg;


import com.brilliance.isc.bo.model.Nitp;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.bo.model.Nidgrp;
import com.brilliance.isc.bo.model.Setgid;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * Amendment
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class NetopnStoreBo extends BaseTransactionVo {

    //XMLPanel gitbenl1的内置block
    private String gitbenl1blk = NULLSTR;
    //XMLPanel gitapll1的内置block
    private String gitapll1blk = NULLSTR;
    //XMLPanel gitapll2的内置block
    private String gitapll2blk = NULLSTR;
    //XMLPanel gitbenl2的内置block
    private String gitbenl2blk = NULLSTR;
    //XMLPanel gitapll3的内置block
    private String gitapll3blk = NULLSTR;
    //XMLPanel gitbenl4的内置block
    private String gitbenl4blk = NULLSTR;
    //XMLPanel gitissl1的内置block
    private String gitissl1blk = NULLSTR;
    //XMLPanel gitrmbl1的内置block
    private String gitrmbl1blk = NULLSTR;

    private Nidgrp nidgrp;
    private Nidgrp oldnidgrp;
    private Nitp nitp;
    private Setgid setgid;
    //private Mtabut mtabut;
    //private Rngmod rngmod;
    //private Cbsmod cbsmod;
    //private Hmdmod2 hmdmod2;
    //private Umdmod umdmod;
    //private Rmbbop rmbbop;

    @Override
    public void reset() {
        super.reset();
        if (nidgrp == null) {
            nidgrp = new Nidgrp();
        }
        nidgrp.reset();
        if (nitp == null) {
            nitp = new Nitp();
        }
        nitp.reset();

    }

}