package com.brilliance.isc.common.setmod.vo;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@ApiModel(value = "费用角色详情", description = "费用角色详情")
public class PtsFeeDetailVo extends AbstractCommonVo {

    @ApiModelProperty(value = "参与方PTA信息的INR", name = "ptainr", required = true)
    private String ptainr = NULLSTR;

    @ApiModelProperty(value = "参与方PTY信息的INR", name = "ptyinr", required = true)
    private String ptyinr = NULLSTR;

    @ApiModelProperty(value = "参与方编号", name = "extkey", required = true)
    private String extkey = NULLSTR;

    @ApiModelProperty(value = "参与方角色", name = "rol", required = true)
    private String rol = NULLSTR;

    @ApiModelProperty(value = "默认DSP", name = "dftdsp", required = true)
    private String dftdsp = NULLSTR;

    @ApiModelProperty(value = "默认币种", name = "dftcur", required = true)
    private String dftcur = NULLSTR;

    @ApiModelProperty(value = "默认账号", name = "dftact", required = true)
    private String dftact = NULLSTR;

    @ApiModelProperty(value = "默认费用币种", name = "dftfeecur", required = true)
    private String dftfeecur = NULLSTR;

    @ApiModelProperty(value = "默认账号所属参与者PTA信息的INR", name = "dftactptainr", required = true)
    private String dftactptainr = NULLSTR;

    @ApiModelProperty(value = "Default role for Settlement / settle via", name = "dftselrol", required = true)
    private String dftselrol = NULLSTR;

    @ApiModelProperty(value = "Grouping Rule of Amounts", name = "glggrpflg", required = true)
    private String glggrpflg = NULLSTR;

    @ApiModelProperty(value = "参与方PTS信息的INR", name = "ptsinr", required = true)
    private String ptsinr = NULLSTR;

    @ApiModelProperty(value = "参与者名称地址", name = "adrblk", required = true)
    private String adrblk = NULLSTR;

}
