package com.brilliance.isc.vo.finance;

import com.brilliance.isc.common.vo.CommonResult;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class FinQueryVo extends CommonResult {

    /**
     * 本行融资申请编号
     */
    String ownref;

    /**
     * 经办机构号
     */
    String bchcod;

    /**
     * 是否信保标识
     */
    String zxbflg;

}
