package com.brilliance.isc.vo.lc;


import com.brilliance.isc.bo.Bed;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class BedWithPtsCbbResponseVo extends Bed {

    /**
     * 信用证编号
     */
    private String pntref;
    /**
     * 发票号
     */
    private String benref;
    /**
     * 币种
     */
    private String cur;

    /**
     * 单据金额
     */
    private BigDecimal amt;

    /**
     * 币种
     */
    private String opncur;

    /**
     * 余额
     */
    private BigDecimal opnamt;

    /**
     * 申请人
     */
    private String aplExtkey;

    /**
     * 申请人名称
     */
    private String aplName;
    /**
     * 受益人编号
     */
    private String benExtkey;

    /**
     * 受益人名称
     */
    private String benName;
    /**
     * 开证行
     */
    private String issExtkey;

    /**
     * 开证行名称
     */
    private String issName;
    /**
     * 转卖行
     */
    private String pubExtkey;

    /**
     * 转卖行名称
     */
    private String pubName;
    /**
     * 分行名称
     */
    private String bchName;
    /**
     * 柜员名称
     */
    private String usrNam;
}

