package com.brilliance.isc.vo.lg;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import java.math.BigDecimal;
import java.util.Date;
import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GidNidInfoVo {

    //gid表唯一编号
   private String  gidinr = NULLSTR;
   //闭卷日期
   @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
   private Date gidclsdat = NULLDATE;
   //开立日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date gidopndat = NULLDATE;
    //保函类型
   private String  gidgartyp = NULLSTR;
    //特殊保函撤销状态
    private String nidcansta = NULLSTR;
    //特殊保函修改状态
    private String nidamesta = NULLSTR;
    //特殊保函开立状态
    private String nidopnsta = NULLSTR;
    //保函修改次数
    private int gidamenbr= 0;
    //特殊保函类型
   private String nidsegtyp = NULLSTR;
   //保函余额
    private BigDecimal cbbamt = Decimals.ZERO_SCALE2;
    //保函开立类型
    private String gidhndtyp = NULLSTR;
    //未闭卷的索赔次数
    private int gidpndclm  = 0;
    //保函到期日
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date gidexpdat = NULLDATE;
    //提示信息
    private String sptinftxt = NULLSTR;
    //交易创建时间
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date trninidattim  = NULLDATE;
    //交易代码
    private String trninifrm = NULLSTR;
    //减额修改内容
    private String gitdecamtstm = NULLSTR;
    //未结清余额索赔
    private int gcdclscnt = 0;

    //原到期日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date nidolddat = NULLDATE;


    private int clswatcnt;

}
