package com.brilliance.isc.vo.model;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GctVo extends AbstractCommonVo {
    //Internal Unique ID of Claim
    private String inr = NULLSTR;

    //Version Counter
    //private String ver = NULLSTR;

    //List of Modified Fields in GCDGRP
    private String fldmodblk = NULLSTR;

    //Content of TAG 72
    private String contag72 = NULLSTR;

    //Content of TAG 79
    private String contag79 = NULLSTR;

    //Additional Amount Information
    private String addamtinf = NULLSTR;

    private String disdoc = NULLSTR;

    //Presetation Completion Details
    private String presentdet = NULLSTR;   
}
