package com.brilliance.isc.vo.model;

import com.brilliance.isc.bo.Usr;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class LitpVo extends AbstractCommonVo {

    //Status E-nable, D-isable, I-nvisible
    private  String pansta = NULLSTR;

    //Follow up insurance policy.
    private  String insur = NULLSTR;

    //Pct.
    private  int colpct;

    //Percent for cc visible
    private  String pctflg = NULLSTR;

    //Percent for cc flag
    private  String pctlab = NULLSTR;

    //Sender-To-Receiver-Info
    private  String tag72txt700 = NULLSTR;

    //Reimbursement Narrative
    private  String rmbnar = NULLSTR;

    //Label Available with Bank
    private  String avblab = NULLSTR;

    //对手行代码
    private  String oppbnkl = NULLSTR;

    //Label DEFDET
    private  String defdetlab = NULLSTR;

    //Country or Region Code
    private  String payeecountcode = NULLSTR;

    private PtsptaVo own;

    @Override
    public void reset() {
        super.reset();
        if (own == null) {
            own = new PtsptaVo();
        }
        own.reset();
    }
}
