package com.brilliance.isc.esb.api.ccrm;

import com.brilliance.isc.esb.model.ccrm.ReqOC51;
import com.brilliance.isc.esb.model.ccrm.ReqOC52;
import com.brilliance.isc.esb.model.ccrm.ResOC51;
import com.brilliance.isc.esb.model.ccrm.ResOC52;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * 新ccrm外汇展业feign接口
 */
//@RequestMapping("/ccrm/webapi/CustTradeIndustry")
public interface NewCcrmClient {

    /**
     * OC51 外汇展业风险等级认定结果查询
     * @param reqOC51
     * @return
     */
    @PostMapping("/OC51")
    ResOC51 callOC51(@RequestBody ReqOC51 reqOC51);

    /**
     * OC52 外汇展业风险等级同步
     * @param reqOC52
     * @return
     */
    @PostMapping("/OC52")
    ResOC52 callOC52(@RequestBody ReqOC52 reqOC52);
}
