package com.brilliance.isc.esb.model.cfarcv;

import java.math.BigDecimal;
import java.util.Date;

public class Dia {
    /**
     * 唯一ID
     */
    public String INR;
    /**
     * Responsible Group
     */
    public String OWNUSG;
    /**
     * Responsible User
     */
    public String OWNUSR;
    /**
     * Contract Type (Optional
     */
    public String OBJTYP;
    /**
     * Contract INR (Optionalj
     */
    public String OBJINR;
    /**
     * Contract 0wn Reference (Optional)
     */
    public String OBJREF;
    /**
     * Date of Diary
     */
    public Date DAT;
    /**
     * Coded Reason
     */
    public String COD;
    /**
     * Name
     */
    public String NAM;
    /**
     * Transaction to be Called
     */
    public String FRM;
    /**
     * Info
     */
    public String INFDSP;
    /**
     * Infotext
     */
    public String INFTXT;
    /**
     * Entered by
     */
    public String USR;
    /**
     * Created by 0bject Type (TRN)
     */
    public String CRETYP;
    /**
     * Created bu INR
     */
    public String CREINR;
    /**
     * Entry Done (Nonspace = Entry Done)
     */
    public String DONFLG;
    /**
     * Version Counter
     */
    public String VER;
    /**
     * Type of Diary
     */
    public String DIATYP;
    /**
     * Sub ID of a Diary of equal Type
     */
    public String SUBID;
    /**
     * List of Modified Fields in TRNDIA
     */
    public String FLDMODBLK;
    /**
     * Subtype (Optional, e.g. PTE]
     */
    public String SUBTYP;
    /**
     * KEY of Subobject (Optional, e.g. Tenor lD)
     */
    public String SUBKEY;
    /**
     * Entity holding Diary
     */
    public String ETYEXTKEY;
    /**
     * BCHKEYINR
     */
    public String BCHKEYINR;
    /**
     * Memo Info.
     */
    public String MEMINF;
    /**
     * BRANCHINR
     */
    public String BRANCHINR;
    /**
     * pty extkey
     */
    public String PTYEXTKEY;
    /**
     * pty name
     */
    public String PTYNAM;
    /**
     * Pay CUR
     */
    public String PAYCUR;
    /**
     * Pay AMT
     */
    public BigDecimal PAYAMT;
    /**
     * 预计核验日期
     */
    public Date PRECHKDAT;

    public Dia() {
    }

    public Dia(String INR, String OWNUSG, String OWNUSR, String OBJTYP, String OBJINR, String OBJREF, Date DAT, String COD, String NAM, String FRM, String INFDSP, String INFTXT, String USR, String CRETYP, String CREINR, String DONFLG, String VER, String DIATYP, String SUBID, String FLDMODBLK, String SUBTYP, String SUBKEY, String ETYEXTKEY, String BCHKEYINR, String MEMINF, String BRANCHINR, String PTYEXTKEY, String PTYNAM, String PAYCUR, BigDecimal PAYAMT, Date PRECHKDAT) {
        this.INR = INR;
        this.OWNUSG = OWNUSG;
        this.OWNUSR = OWNUSR;
        this.OBJTYP = OBJTYP;
        this.OBJINR = OBJINR;
        this.OBJREF = OBJREF;
        this.DAT = DAT;
        this.COD = COD;
        this.NAM = NAM;
        this.FRM = FRM;
        this.INFDSP = INFDSP;
        this.INFTXT = INFTXT;
        this.USR = USR;
        this.CRETYP = CRETYP;
        this.CREINR = CREINR;
        this.DONFLG = DONFLG;
        this.VER = VER;
        this.DIATYP = DIATYP;
        this.SUBID = SUBID;
        this.FLDMODBLK = FLDMODBLK;
        this.SUBTYP = SUBTYP;
        this.SUBKEY = SUBKEY;
        this.ETYEXTKEY = ETYEXTKEY;
        this.BCHKEYINR = BCHKEYINR;
        this.MEMINF = MEMINF;
        this.BRANCHINR = BRANCHINR;
        this.PTYEXTKEY = PTYEXTKEY;
        this.PTYNAM = PTYNAM;
        this.PAYCUR = PAYCUR;
        this.PAYAMT = PAYAMT;
        this.PRECHKDAT = PRECHKDAT;
    }
}
