package com.brilliance.isc.esb.model.clm;

import java.util.ArrayList;
import java.util.List;

/**
 * CL45 额度业务查询响应对象
 */
public class ResCL45 extends AbsResCL {
    /**
     * 后台流水号[0,40]
     */
    public String EDLSXH;
    /**
     * 额度编号[0,40]
     */
    public String EDBHAO;
    /**
     * 明细额度编号[0,40]
     */
    public String EDMXBH;
    /**
     * 总记录数[0,10]
     */
    public String ZJLSHU;
    /**
     * 备注信息1[0,200]
     */
    public String Attribute1;
    /**
     * 备注信息2[0,200]
     */
    public String Attribute2;
    /**
     * 备注信息3[0,200]
     */
    public String Attribute3;

    public List<ItemFCL451> FCL451 = new ArrayList<>();

    public static class ItemFCL451 {
        /**
         * 操作柜员号[0,40]
         */
        public String GUIYID;
        /**
         * 放款审核经办机构[0,20]
         */
        public String FKJBJG;
        /**
         * 占用主体类型[0,10]
         */
        public String ZYZTLX;
        /**
         * 占用主体编号[0,40]
         */
        public String ZYZTBH;
        /**
         * 国结业务编号[0,40]
         */
        public String YWBHAO;
        /**
         * 业务品种[0,10]
         */
        public String YWPZHO;
        /**
         * 业务币种[0,10]
         */
        public String YWBIZH;
        /**
         * 业务金额[0,24]
         */
        public String YWJINE;
        /**
         * 业务余额[0,24]
         */
        public String YEWUYE;
        /**
         * 容差值[0,24]
         */
        public String ROCZHI;
        /**
         * 保证金余额[0,24]
         */
        public String BZJYUE;
        /**
         * 保证金比例[0,10]
         */
        public String BZJBLI;
        /**
         * 占用额度[0,24]
         */
        public String EYUEDU;
        /**
         * 占用敞口[0,24]
         */
        public String YIYCKO;
        /**
         * 业务起始日[0,20]
         */
        public String YWQSRI;
        /**
         * 备注信息1[0,200]
         */
        public String Attribute1;
        /**
         * 备注信息2[0,200]
         */
        public String Attribute2;
        /**
         * 备注信息3[0,200]
         */
        public String Attribute3;
    }


}
