package com.brilliance.isc.esb.model.ebmp;

public class ResOSF032 {

    /**
     * 信封报文标识号 [0,70]
     */
    public String XFBBSH;

    /**
     * 响应码 [0,1]
     */
    public String REPCOD;

    /**
     * 响应结果描述 [0,128]
     */
    public String RSPMSG;

    /**
     * 备用字段1 [0,8]
     */
    public String BEYZD1;

    /**
     * 备用字段2 [0,16]
     */
    public String BEYZD2;

    /**
     * 备用字段3 [0,32]
     */
    public String BEYZD3;

    /**
     * 备用字段4 [0,64]
     */
    public String BEYZD4;

    /**
     * 备用字段5 [0,128]
     */
    public String BEYZD5;

    public ResOSF032() {
    }

    public ResOSF032(String XFBBSH, String REPCOD, String RSPMSG, String BEYZD1, String BEYZD2, String BEYZD3, String BEYZD4, String BEYZD5) {
        this.XFBBSH = XFBBSH;
        this.REPCOD = REPCOD;
        this.RSPMSG = RSPMSG;
        this.BEYZD1 = BEYZD1;
        this.BEYZD2 = BEYZD2;
        this.BEYZD3 = BEYZD3;
        this.BEYZD4 = BEYZD4;
        this.BEYZD5 = BEYZD5;
    }
}
