package com.brilliance.isc.esb.model.inner;

/**
 * 8758  CIPS系统提供的cips支付来往账查询请求
 */
public class InnerReq8758 {
    /**
     * 报文类型
     */
    public String bwlxdh;
    /**
     * 往来标志
     */
    public String wanlbz;
    /**
     * 币种
     */
    public String huobdh;
    /**
     * 查询范围
     */
    public String chaxlx;
    /**
     * 机构号
     */
    public String yngyjg;
    /**
     * 起始交易日期
     */
    public String qishrq;
    /**
     * 截止交易日期
     */
    public String zzhirq;
    /**
     * 报文类别
     */
    public String leibie;
    /**
     * 业务种类
     */
    public String ywzldm;
    /**
     * 最低金额
     */
    public String zfjee1;
    /**
     * 最高金额
     */
    public String zfjee2;
    /**
     * 发起行行号
     */
    public String fqzchh;
    /**
     * 接收行行号
     */
    public String jszchh;
    /**
     * 业务编号
     */
    public String yewubh;
    /**
     * 付款人（付款行）账号
     */
    public String fukrzh;
    /**
     * 借记记账账号
     */
    public String dafnzh;
    /**
     * 收款人（收款行）账号
     */
    public String shkrzh;
    /**
     * 报文标识号
     */
    public String bawbsh;
    /**
     * 交易柜员
     */
    public String jio1gy;

    /**
     * flag为0,业务插件transactionID为8758
     * flag为1,业务插件transactionID为8758_1
     */
    public String flag;

    public InnerReq8758() {
    }

    public InnerReq8758(String bwlxdh, String wanlbz, String huobdh, String chaxlx, String yngyjg, String qishrq, String zzhirq, String leibie, String ywzldm, String zfjee1, String zfjee2, String fqzchh, String jszchh, String yewubh, String fukrzh, String dafnzh, String shkrzh, String bawbsh, String jio1gy, String flag) {
        this.bwlxdh = bwlxdh;
        this.wanlbz = wanlbz;
        this.huobdh = huobdh;
        this.chaxlx = chaxlx;
        this.yngyjg = yngyjg;
        this.qishrq = qishrq;
        this.zzhirq = zzhirq;
        this.leibie = leibie;
        this.ywzldm = ywzldm;
        this.zfjee1 = zfjee1;
        this.zfjee2 = zfjee2;
        this.fqzchh = fqzchh;
        this.jszchh = jszchh;
        this.yewubh = yewubh;
        this.fukrzh = fukrzh;
        this.dafnzh = dafnzh;
        this.shkrzh = shkrzh;
        this.bawbsh = bawbsh;
        this.jio1gy = jio1gy;
        this.flag = flag;
    }
}
