package com.brilliance.isc.esb.model.inner;

/**
 * etrade_ge39   GE39-e结算-结付汇加锁、解锁对内请求
 */
public class InnerReqEtradeGe39 {

    /**
     * 客户号[0,10]
     */
    public String ecifno;

    /**
     * 业务参考号[0,16]
     */
    public String businessno;

    /**
     * 加解锁标记[0,1]
     * 0-加锁
     * 1-解锁
     */
    public String eduflag;

    /**
     * 交易类型[0,1]
     * 0-付汇
     * 1-结汇
     */
    public String jylx;

    /**
     * 付汇金额[15,2]
     */
    public String fuhje;

    /**
     * 结汇金额[15,2]
     */
    public String jiehje;

    /**
     * 客户号[0,120]
     */
    public String cusno;

    /**
     * 柜员号[0,20]
     */
    public String operno;

    /**
     * 结汇业务编号[0,16]
     */
    public String jhbusno;

    /**
     * 付汇业务编号[0,16]
     */
    public String fjbusno;

    /**
     * 加解锁名称[0,20]
     */
    public String nam;

    /**
     * 异常解锁标识[0,1]
     * 0-异常解锁
     * 1-正常解锁
     */
    public String errulock;

    public InnerReqEtradeGe39() {
    }

    public InnerReqEtradeGe39(String ecifno, String businessno, String eduflag, String jylx, String fuhje, String jiehje, String cusno, String operno, String jhbusno, String fjbusno, String nam, String errulock) {
        this.ecifno = ecifno;
        this.businessno = businessno;
        this.eduflag = eduflag;
        this.jylx = jylx;
        this.fuhje = fuhje;
        this.jiehje = jiehje;
        this.cusno = cusno;
        this.operno = operno;
        this.jhbusno = jhbusno;
        this.fjbusno = fjbusno;
        this.nam = nam;
        this.errulock = errulock;
    }
}
