package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * 核心系统提供的系统内划款响应
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerRes8003 {
    public InnerRes8003() {
    }

    public InnerRes8003(String ohezhh, String noname1, String noname2, String noname3, String noname4, String objectname, String guiyls, String huobdh, String jioyje, String fukrmc, String shkrxm, String shming, String tishxi) {
        this.ohezhh = ohezhh;
        this.noname1 = noname1;
        this.noname2 = noname2;
        this.noname3 = noname3;
        this.noname4 = noname4;
        this.objectname = objectname;
        this.guiyls = guiyls;
        this.huobdh = huobdh;
        this.jioyje = jioyje;
        this.fukrmc = fukrmc;
        this.shkrxm = shkrxm;
        this.shming = shming;
        this.tishxi = tishxi;
    }

    /**
     * 无名
     */
    public String ohezhh;

    /**
     * 无名
     */
    public String noname1;
    /**
     * 无名
     */
    public String noname2;
    /**
     * 无名
     */
    public String noname3;
    /**
     * 无名
     */
    public String noname4;

    public String objectname;
    /**
     * 柜员流水号
     */
    public String guiyls;
    /**
     * 货币代号
     */
    public String huobdh;
    /**
     * 交易金额
     */
    public String jioyje;
    /**
     * 付款人名称
     */
    public String fukrmc;
    /**
     * 收款人姓名
     */
    public String shkrxm;
    /**
     * 说明
     */
    public String shming;
    /**
     * 提示信息
     */
    public String tishxi;
}
