package com.brilliance.isc.esb.model.rwms;

/**
 * RW02 预警灰名单请求对象
 */
public class ReqRW02 {

    /**
     * 客户名称 [0,200]
     */
    public String CSNAME;

    /**
     * 组织机构代码 [0,100]
     */
    public String CERTID;

    /**
     * 来源系统 [0,50]
     */
    public String FROSYS;

    /**
     * 查询系统 [0,10]
     */
    public String CPHASE;

    /**
     * 备用字段信息 [0,100]
     */
    public String REMARK;

    public ReqRW02() {
    }

    public ReqRW02(String CSNAME, String CERTID, String FROSYS, String CPHASE, String REMARK) {
        this.CSNAME = CSNAME;
        this.CERTID = CERTID;
        this.FROSYS = FROSYS;
        this.CPHASE = CPHASE;
        this.REMARK = REMARK;
    }
}
