package com.brilliance.isc.esb.model.swift;

import com.brilliance.isc.esb.model.ErrorData;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 1001(FM01) gpi通知响应对象
 */

@Data
@NoArgsConstructor
@AllArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
public class Res1001 extends ErrorData {

    /**
     * 原请求交易码[0,32]
     */
    private String OriTrxCode;
    /**
     * 原请求交易流水号[0,32]
     */
    private String OriTrxSeq;
    /**
     * 响应日期[0,8]
     */
    private String RespDate;
    /**
     * 响应时间[0,14]
     */
    private String RespDateTime;
    /**
     * 响应码[0,2]
     */
    private String RespCode;
    /**
     * 响应信息[0,100]
     */
    private String RespInfo;
    /**
     * 原请求流水号[0,32]
     */
    private String OriReqSeq;
    /**
     * 原行内业务编号[0,20]
     */
    private String OriInnerBizNo;

}
