package com.brilliance.isc.esb.model.tymd;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * E200 统一名单筛查响应对象
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResE200 {

    /**
     * 案例编号
     */
    public String CASE_NO;

    /**
     * 筛查状态
     */
    public String LIST_CODE;

    /**
     * 案例状态
     */
    public String CASE_CODE;

    /**
     * 预留字段1
     */
    public String RESERVE1;

    /**
     * 预留字段2
     */
    public String RESERVE2 ;

    public ResE200() {
    }

    public ResE200(String CASE_NO, String LIST_CODE, String CASE_CODE, String RESERVE1, String RESERVE2) {
        this.CASE_NO = CASE_NO;
        this.LIST_CODE = LIST_CODE;
        this.CASE_CODE = CASE_CODE;
        this.RESERVE1 = RESERVE1;
        this.RESERVE2 = RESERVE2;
    }
}
