package com.brilliance.isc.esb.model.whj.res.export;

import lombok.Data;

@Data
public class TradeInfo {

    public String customerCode;             //组织机构代码
    public String customerName;             //企业名称
    public String regionCode;             //行政区划码
    public String indattrCode;             //行业属性
    public String econTypeCode;             //经济类型
    public String countryCode;             //国别代码
    public String isTaxFree;             //是否特殊经济区
    public String taxFreeCode;             //特殊经济区类型
    public String countryCode1;             //外商投资者国别1
    public String countryCode2;             //外商投资者国别2
    public String countryCode3;             //外商投资者国别3
    public String countryCode4;             //外商投资者国别4
    public String countryCode5;             //外商投资者国别5
    public String induAttrName;             //行业属性名称
    public String regionName;             //住所/营业场所名称
    public String econTypeName;             //经济类型名称
    public String taxfreeTypeName;             //特殊经济区内企业名称
    public String cnty;             //外方投资者国别名称

    public TradeInfo() {
    }

    public TradeInfo(String customerCode, String customerName, String regionCode, String indattrCode, String econTypeCode, String countryCode, String isTaxFree, String taxFreeCode, String countryCode1, String countryCode2, String countryCode3, String countryCode4, String countryCode5, String induAttrName, String regionName, String econTypeName, String taxfreeTypeName, String cnty) {
        this.customerCode = customerCode;
        this.customerName = customerName;
        this.regionCode = regionCode;
        this.indattrCode = indattrCode;
        this.econTypeCode = econTypeCode;
        this.countryCode = countryCode;
        this.isTaxFree = isTaxFree;
        this.taxFreeCode = taxFreeCode;
        this.countryCode1 = countryCode1;
        this.countryCode2 = countryCode2;
        this.countryCode3 = countryCode3;
        this.countryCode4 = countryCode4;
        this.countryCode5 = countryCode5;
        this.induAttrName = induAttrName;
        this.regionName = regionName;
        this.econTypeName = econTypeName;
        this.taxfreeTypeName = taxfreeTypeName;
        this.cnty = cnty;
    }
}
