package com.brilliance.isc.common.setmod.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@ApiModel(value = "", description = "")
public class SetptyVo implements Serializable {

    private static final long serialVersionUID = -7512568399458542719L;

    @ApiModelProperty(value = "Role", name = "rol", required = true)
    private String rol = NULLSTR;

    @ApiModelProperty(value = "name of role", name = "rolnam", required = true)
    private String rolnam = NULLSTR;

    @ApiModelProperty(value = "Party", name = "ptyinr", required = true)
    private String ptyinr = NULLSTR;

    @ApiModelProperty(value = "PTAINR", name = "ptainr", required = true)
    private String ptainr = NULLSTR;

    @ApiModelProperty(value = "Available MT for party only to be set in not 103 only", name = "avbmt", required = true)
    private String avbmt = NULLSTR;

    @ApiModelProperty(value = "INR of Account party for role in not PTYINR of role", name = "actptainr", required = true)
    private String actptainr = NULLSTR;

    @ApiModelProperty(value = "Role beeing accounted for fees of party", name = "gllptyrol", required = true)
    private String gllptyrol = NULLSTR;

    @ApiModelProperty(value = "Role to wich fee pool entries are to be assigned to", name = "feprol", required = true)
    private String feprol = NULLSTR;

    @ApiModelProperty(value = "Contract to which fee pool entries for party are to be assigned to", name = "fepobjmod", required = true)
    private String fepobjmod = NULLSTR;

    @ApiModelProperty(value = "Default fee currency", name = "dftfeecur", required = true)
    private String dftfeecur = NULLSTR;

    @ApiModelProperty(value = "Default account currency", name = "dftacccur", required = true)
    private String dftacccur = NULLSTR;

    @ApiModelProperty(value = "Groups for which default account currency shall be applied", name = "dftacccurgrp", required = true)
    private String dftacccurgrp = NULLSTR;

}
