package com.brilliance.isc.common.taskdistributor.request;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

@Data
public class SelectByBranchinrRequest {

    @NotBlank(message = "机构INR不能为空")
    @Pattern(regexp = "\\d{8}", message = "机构INR不合法")
    private String branchinr;

}
